VERSION 5.00
Object = "{15AA9B47-31FB-40BA-AF30-7A99B6BA8012}#1.4#0"; "DDC_Ctrl.ocx"
Begin VB.Form Form1 
   Caption         =   "Dual DMD Display Demo"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CommandToggle 
      Caption         =   "TILogo / Checker Toggle"
      Height          =   735
      Left            =   2880
      TabIndex        =   2
      Top             =   360
      Width           =   1095
   End
   Begin DDC1100CTRLLib.DDC1100Ctrl DDC1100Ctrl2 
      Left            =   1680
      Top             =   1920
      _Version        =   65540
      _ExtentX        =   1508
      _ExtentY        =   1085
      _StockProps     =   0
   End
   Begin DDC1100CTRLLib.DDC1100Ctrl DDC1100Ctrl1 
      Left            =   480
      Top             =   1920
      _Version        =   65540
      _ExtentX        =   1720
      _ExtentY        =   1085
      _StockProps     =   0
   End
   Begin VB.CommandButton CommandChecker 
      Caption         =   "Both Checker"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   840
      Width           =   1095
   End
   Begin VB.CommandButton CommandTI 
      Caption         =   "Both TILogo"
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public toggle As Integer
Private Sub Init_USB()
Dim ret As Integer

' attach two D1100s using two instances of the ActiveX control

    ret = DDC1100Ctrl1.GetDeviceMulti(1) 'Attach device 1
    DDC1100Ctrl1.EnableParallel 0 'Select USB mode
    
    ret = DDC1100Ctrl2.GetDeviceMulti(2) 'Attach device 2
    DDC1100Ctrl2.EnableParallel 0 'Select USB mode

End Sub
Private Sub Show_Image(DMD As Integer, path As String, filename As String, varbuffer As Variant)
Dim ret As Integer

If DMD = 1 Then 'use device 1

    DDC1100Ctrl1.AppPath = path 'set control AppPath attribute to image path
    ret = DDC1100Ctrl1.LoadImageFileToBuffer(filename, varbuffer, 0)   'convert image file to varbuffer
    ret = DDC1100Ctrl1.LoadFrameBuffer(varbuffer) 'load varbuffer image to ActiveX control buffer
    ret = DDC1100Ctrl1.LoadResetFrame 'load image to DMD and reset DMD
Else    'use device 2
    DDC1100Ctrl2.AppPath = path 'set control AppPath attribute to image path
    ret = DDC1100Ctrl2.LoadImageFileToBuffer(filename, varbuffer, 0)   'convert image file to varbuffer
    ret = DDC1100Ctrl2.LoadFrameBuffer(varbuffer) 'load varbuffer image to ActiveX control buffer
    ret = DDC1100Ctrl2.LoadResetFrame 'load image to DMD and reset DMD
End If

End Sub


Private Sub CommandTI_Click()
    Dim buffer(SIZE_OF_IMAGE) As Byte
    Dim varbuffer As Variant
    Dim filename As String
    Dim path As String
    Dim mirror As Integer
    
    path = App.path 'set path to point to image file path (same as application path)
    filename = "TILOGO.bmp" 'set filename to TI logo image file
    varbuffer = buffer 'init image storage
    Show_Image 1, path, filename, varbuffer 'load and display image on device 1
    Show_Image 2, path, filename, varbuffer 'load and display image on device 2
  
End Sub

Private Sub CommandChecker_Click()
    Dim buffer(SIZE_OF_IMAGE) As Byte
    Dim varbuffer As Variant
    Dim filename As String
    Dim path As String
    Dim mirror As Integer
    
    path = App.path 'set path to point to image file path (same as application path)
    filename = "checker1.bmp" 'set filename to checker image file
    varbuffer = buffer 'init image storage
    Show_Image 1, path, filename, varbuffer 'load and display image on device 1
    Show_Image 2, path, filename, varbuffer 'load and display image on device 2
  
End Sub

Private Sub CommandToggle_Click()

    Dim buffer(SIZE_OF_IMAGE) As Byte
    Dim varbuffer As Variant
    Dim filename As String
    Dim path As String
    Dim mirror As Integer
    
   
    path = App.path 'set path to point to image file path (same as application path)
    filename = "TILOGO.bmp" 'set filename to TI logo image file
    varbuffer = buffer 'init image storage
    Show_Image toggle Mod 2 + 1, path, filename, varbuffer 'load and display image on device
    
    toggle = toggle + 1 'inc device number
    
    path = App.path 'set path to point to image file path (same as application path)
    filename = "checker1.bmp" 'set filename to checker logo image file
    varbuffer = buffer 'init image storage
    Show_Image toggle Mod 2 + 1, path, filename, varbuffer ' load and display image on device

End Sub

Private Sub Form_Load()
toggle = 0 'init device toggle
Init_USB 'attach devices

End Sub

